package de.intevation.flys.client.shared.model;

import java.io.Serializable;

import java.util.List;
import java.util.ArrayList;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class Style implements Serializable {

    protected String name;

    protected String facet;

    protected int index;

    protected List<StyleSetting> settings;

    public Style() {
        settings = new ArrayList<StyleSetting>();
    }

    public void appendStyleSetting(StyleSetting setting) {
        settings.add(setting);
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setFacet(String facet) {
        this.facet = facet;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getName() {
        return this.name;
    }

    public String getFacet() {
        return this.facet;
    }

    public int getIndex() {
        return this.index;
    }

    public StyleSetting getSetting(String name) {
        for (int i = 0; i < settings.size (); i++) {
            if (settings.get(i).getName().equals(name)) {
                return settings.get(i);
            }
        }
        return null;
    }

    public int getNumSettings () {
        return settings.size();
    }

    public StyleSetting getSetting(int i) {
        return this.settings.get(i);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
